ApiKeyAuth (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.client.auth

## Class ApiKeyAuth

- java.lang.Object
- - com.cloudera.api.swagger.client.auth.ApiKeyAuth

- All Implemented Interfaces:
    Authentication

      @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiKeyAuth
      extends Object
      implements Authentication

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiKeyAuth(String location, String paramName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyToParams(List<Pair> queryParams, Map<String,String> headerParams)` Apply authentication settings to header and query params.
    `String` | `getApiKey()`
    `String` | `getApiKeyPrefix()`
    `String` | `getLocation()`
    `String` | `getParamName()`
    `void` | `setApiKey(String apiKey)`
    `void` | `setApiKeyPrefix(String apiKeyPrefix)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiKeyAuth

          public ApiKeyAuth(String location,
                            String paramName)

  - ### Method Detail

    - #### getLocation

          public String getLocation()

    - #### getParamName

          public String getParamName()

    - #### getApiKey

          public String getApiKey()

    - #### setApiKey

          public void setApiKey(String apiKey)

    - #### getApiKeyPrefix

          public String getApiKeyPrefix()

    - #### setApiKeyPrefix

          public void setApiKeyPrefix(String apiKeyPrefix)

    - #### applyToParams

          public void applyToParams(List<Pair> queryParams,
                                    Map<String,String> headerParams)

      Description copied from interface: `Authentication`
      Apply authentication settings to header and query params.
      Specified by:
        `applyToParams` in interface `Authentication`
      Parameters:
        `queryParams` - List of query parameters
        `headerParams` - Map of header parameters

Copyright © 2022. All rights reserved.